- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::FunctionTypeInterface Class Referenceabstract

`#include <anyfunction.hpp>`

## Public Member Functions
virtual void * | call (void *storage, void **args, unsigned int argc)=0
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
virtual const TypeInfo & | info ()=0
| Get the TypeInfo corresponding to this type. More...
virtual void * | initializeStorage (void *ptr=nullptr)=0
virtual void * | ptrFromStorage (void **)=0
virtual void * | clone (void *)=0
| Allocate a storage and copy the value given as an argument. More...
virtual void | destroy (void *)=0
| Free all resources of a storage. More...
virtual TypeKind | kind ()
virtual bool | less (void *a, void *b)=0
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)
Public Member Functions inherited from qi::CallableTypeInterface
| CallableTypeInterface ()
TypeInterface * | resultType ()
const std::vector < TypeInterface * > & | argumentsType ()
qi::Signature | parametersSignature () const
qi::Signature | returnSignature () const

## Additional Inherited Members
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)
Protected Attributes inherited from qi::CallableTypeInterface
TypeInterface * | _resultType
std::vector< TypeInterface * > | _argumentsType

## Detailed Description

Definition at line 88 of file anyfunction.hpp.

## Member Function Documentation

virtual void* qi::FunctionTypeInterface::call | ( | void * | storage,
|  | void ** | args,
|  | unsigned int | argc
| ) |  |
| pure virtual

Call the function func with argument args that must be of the correct type.

Returns
  the return value of type resultType(). This value is allocated and must be destroyed.

Implemented in qi::FunctionTypeInterfaceEq< T, S >.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/anyfunction.hpp